# SPDX-License-Identifier: AGPL-3.0-only
# Copyright (C) 2010-2021, Josef Hahn

"""
Django url mappings for Ginger.
"""

from django.urls import path
from django.contrib import admin

import ginger.main.views


urlpatterns = [

    path("", ginger.main.views.IndexPageView.as_view()),
    path("login/", ginger.main.views.LoginPageView.as_view()),
    path("admin/", admin.site.urls),

    path("api/accounts/actions/login/", ginger.main.views.AccountsActionLoginView.as_view()),
    path("api/accounts/actions/logout/", ginger.main.views.AccountsActionLogoutView.as_view()),

    path("api/messages/", ginger.main.views.MessagesView.as_view()),
    path("api/messages/<int:msgid>/", ginger.main.views.MessageView.as_view()),

    path("api/tags/", ginger.main.views.TagsView.as_view()),
    path("api/tags/<str:tag>/", ginger.main.views.TagView.as_view()),

    path("api/tagpropagationrules/", ginger.main.views.TagPropagationRulesView.as_view()),
    path("api/tagpropagationrules/<int:ruleid>/", ginger.main.views.TagPropagationRuleView.as_view()),

    path("api/filters/", ginger.main.views.FiltersView.as_view()),
    path("api/filters/<str:filtername>/", ginger.main.views.FilterView.as_view()),

    path("api/feeds/", ginger.main.views.FeedsView.as_view()),
    path("api/feeds/<int:feedid>/", ginger.main.views.FeedView.as_view()),
    path("api/feeds/actions/crawl/", ginger.main.views.FeedsActionCrawlView.as_view()),

    path("api/configs/", ginger.main.views.UserConfigurationsView.as_view()),
    path("api/configs/<str:key>/", ginger.main.views.UserConfigurationView.as_view()),

]
